﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;
using System.ComponentModel;
using System.Windows.Forms;
using System.Drawing;
using System.Text;


namespace MemoryManagement
{    
    public static class MemoryUtility    
    {        
        private static volatile bool _enabled = true; 
       
        // Requires user to be running as an Administrator
        public static void ClearUnusedMemory()        
        {
            //System.GC.Collect();
            //System.GC.WaitForPendingFinalizers();

            if (!_enabled)
                return;
            try
            {
                if (Environment.OSVersion.Platform >= PlatformID.Win32NT)
                {
                    Pinvoke.Win32.SetProcessWorkingSetSize(System.Diagnostics.Process.GetCurrentProcess().Handle, -1, -1);
                }
                else
                {
                    _enabled = false;
                }
            }
            catch
            {
                //Some users won't have permission to adjust their working set.               
                _enabled = false;
            }  
           


            //System.GC.Collect();

            //if (!_enabled)                
            //    return;            
            //try            
            //{                
            //    Process curProc = Process.GetCurrentProcess();                
            //    curProc.MaxWorkingSet = curProc.MaxWorkingSet; 
            //}            
            //catch            
            //{                
            //    //Some users won't have permission to adjust their working set.               
            //    _enabled = false;            
            //}        
        }    
    }
}